# List gift card payees

Returns the payees available to the authenticated client. Gift cards are the payees whose
category is Giftcard (their type is EGift), so to obtain the available gift cards call
this endpoint with category=Giftcard.

Each returned payee's payee_id is the id you use to purchase a gift card via
POST /api/v1/gift_cards.

This is the same payees endpoint exposed by the Billpay API (see the
List Payees endpoint); it is documented here
for convenience since it is the way to discover gift cards.

Caching: Gift card products are not updated very often, so the catalog returned by this
endpoint when filtered by category=Giftcard should be cached by your application server for
at least 7 days to avoid unnecessary requests.

Endpoint: GET /api/v1/payees
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `category` (string)
    Exact match on the payee category. Use Giftcard to list the available gift cards.
    Example: "Giftcard"

  - `page` (integer)
    Page number (starts at 1).
    Example: 1

  - `name` (string)
    Case-insensitive partial match on the payee display name.
    Example: "Amazon"

## Response 200 fields (application/json):

  - `meta` (object, required)
    Pagination metadata.

  - `meta.current_page` (integer)
    Example: 1

  - `meta.next_page` (integer,null)

  - `meta.prev_page` (integer,null)

  - `meta.total_pages` (integer)
    Example: 1

  - `meta.total_count` (integer)
    Example: 1

  - `payees` (array, required)

  - `payees.payee_id` (string)
    The id you use to purchase a gift card.
    Example: "1a079e9a-2bee-46e0-a993-32b714cf0c09"

  - `payees.name` (string)
    Example: "Amazon eGift - MEX"

  - `payees.category` (string)
    Example: "Giftcard"

  - `payees.type` (string)
    Example: "EGift"

  - `payees.currency` (string)
    Example: "MXN"

  - `payees.reference_config` (object)

  - `payees.reference_config.regex` (string,null)

  - `payees.images` (object)
    Product images by size.

  - `payees.images.small` (object)

  - `payees.images.small.id` (string)
    Example: "MEDIUM"

  - `payees.images.small.url` (string)
    Example: "https://content.monato.com/giftcards/medium/amazon.png"

  - `payees.images.large` (object)

  - `payees.redemption_info` (string)

  - `payees.price` (string)
    Gift card value amount.
    Example: "5.0"

## Response 401 fields (application/json):

  - `error_type` (string, required)
    Machine-readable error code.
    Example: "PAYEE_SERVICE_UNAVAILABLE"

  - `error_message` (string, required)
    Human-readable message (localized).
    Example: "Payee service is not available at this time, retry in 5 minutes"


